Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1494526 - glustereventsd hardcodes working-directory
Summary: glustereventsd hardcodes working-directory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Vishal Pandey
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 12:25 UTC by Patrick Matthäi
Modified: 2018-10-24 09:26 UTC (History)
4 users (show)

Fixed In Version: glusterfs-5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1512455 (view as bug list)
Environment:
Last Closed: 2018-10-24 09:26:28 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 876344 None None None 2017-09-22 12:25:14 UTC

Description Patrick Matthäi 2017-09-22 12:25:14 UTC
Hello,

in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=876344 reports:

The glustereventd daemon hardcodes several paths (in eventsapiconf.py),
among them the glusterd working-directory to /var/lib/gulsterd. This
breaks badly when you have configured glusterd to use a different
working directory with something like:

,---
volume management
  type mgmt/glusterd
  option working-directory /some/other/path
  …
end-volume
`---

Comment 1 Worker Ant 2017-11-13 09:25:09 UTC
REVIEW: https://review.gluster.org/18726 (Events APIs:glustereventsd hardcodes working-directory) posted (#1) for review on master by Vishal Pandey

Comment 2 Worker Ant 2017-11-13 09:44:20 UTC
REVISION POSTED: https://review.gluster.org/18726 (Events APIs:glustereventsd hardcodes working-directory) posted (#2) for review on master by Vishal Pandey

Comment 3 Shyamsundar 2018-10-23 14:07:41 UTC
Unsure if this is fixed in mainline, as patch stands abandoned. Moving the version to mainline for proper RCA and closure.

Comment 4 Amar Tumballi 2018-10-24 09:26:28 UTC
https://review.gluster.org/#/c/glusterfs/+/18761/, with this it is fixed in master.


Note You need to log in before you can comment on or make changes to this bug.